<?php
// ------------------------------------------------------------------------- //
//                Geeklog - PHP Content Management System                    //
// ------------------------------------------------------------------------- //
// Based on:                                                                 //
// myPHPNUKE Web Portal System - http://myphpnuke.com/                       //
// PHP-NUKE Web Portal System - http://phpnuke.org/                          //
// Thatware - http://thatware.org/                                           //
// ------------------------------------------------------------------------- //
// Developed for Geeklog as File Management Module                           //
// By: Blaine Lang  -  July 2002                                             //
// blaine@portalparts.com                                                     //
//                                                                           //
// Sept 25/2002: First offical release v1.2 of Plugin                           //
// ------------------------------------------------------------------------- //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
// ------------------------------------------------------------------------- //

require_once("../lib-common.php");
include_once($_CONF[path_html]."filemgmt/include/header.php");
include_once($_CONF[path_html]."filemgmt/include/xoopstree.php");
include_once($_CONF[path_html]."filemgmt/include/textsanitizer.php");

if (!SEC_hasRights("filemgmt.user")) {
    COM_errorLOG("Index.php => Filemgmt Plugin Access denied. Attempted direct (not via menu) to FileMgmt Plugin, Remote address is: ".$REMOTE_ADDR);
    redirect_header($_CONF['site_url']."/index.php",1,_GL_ERRORNOACCESS);
    exit();
}

$page = filemgmtApplyFilter($HTTP_GET_VARS['page'],true);

if (!isset($page) OR $page == 0) {
    // If no page sent then assume the first.
    $page = 1;
}
$show = $mydownloads_perpage;

$display = '';
$myts = new MyTextSanitizer;
$mytree = new XoopsTree($_DB_name,$_FM_TABLES['filemgmt_cat'],"cid","pid");

//COM_errorLog("SELECT cid, title, imgurl FROM " .$_FM_TABLES['filemgmt_cat']." WHERE pid = 0 ORDER BY title");
$result=DB_query("SELECT cid, title, imgurl FROM " .$_FM_TABLES['filemgmt_cat']." WHERE pid = 0 ORDER BY title");
$nrows=DB_numRows($result);

$display .= COM_siteHeader('menu');

// Get the number of files in the database and post it in the title.
$numrows = DB_numROWS($result); 
$countsql = DB_query("SELECT COUNT(*) FROM ".$_FM_TABLES['filemgmt_filedetail']." WHERE status > 0");
list($maxrows) = DB_fetchArray($countsql);
$numpages = ceil($maxrows / $show);
$display .= COM_startBlock(sprintf(_MD_LISTINGHEADING,$maxrows));
$display .= "<center>\n";
$count = 0;

if ($nrows > 0) {        // Display the categories - Top Level (plus #files) with links to sub categories
    $display .= '<br><p></p><table border="0" cellspacing="2" cellpadding="0" width="100%"><tr>'. "\n";
    for ($i = 1; $i <= $nrows; $i++) {
        $myrow = DB_fetchArray($result);
        $title = $myts->makeTboxData4Show($myrow['title']);
        $tablewidth = $mydownloads_shotwidth+10;
        $display .= "<td width='".$tablewidth."' valign='top'";
        if ( $mydownloads_useshots && $myrow['imgurl'] && $myrow['imgurl'] != "http://"){
            $display .= ">";    
            $imgurl = $myts->makeTboxData4Edit($myrow['imgurl']);
   //Changed Following Line to enable Hack for protected Store (Mthomas@shindengen.com)
            $display .= "<a href='{$_CONF[site_url]}/filemgmt/viewcat.php?cid={$myrow['cid']}'><img src='{$_CONF[site_url]}/filemgmt/visit.php?Mode=CategorySnaps&url={$imgurl}' width='{$mydownloads_shotwidth}' border='0'></a>";
   //End Change
            
        } else {
            $display .= ' width="1">';
               $display .= '';
        }

        $totaldownload = getTotalItems($myrow['cid'], 1);
        $downloadsWaitingSubmission = getTotalItems($myrow['cid'], 0);
        
        $display .= '</td><td nowrap valign="top" align="left"><a href="';
        
        $display .= $_CONF[site_url] .'/filemgmt/viewcat.php?cid=' .$myrow['cid'] .'"><b>';    
        $display .= $title . "</b></a>&nbsp;";
        if ($downloadsWaitingSubmission > 0) {
            $display .= $totaldownload . "(" . $downloadsWaitingSubmission . ")<br>";
        } else {
            $display .= $totaldownload . "<br>";
        }
            
        // get child category objects
        $arr=array();
        $arr=$mytree->getFirstChild($myrow['cid'], "title");
        $space = 0;
        $chcount = 0;
        foreach($arr as $ele){
            $chtitle=$myts->makeTboxData4Show($ele['title']);
            if ($chcount>5){
                $display .= "...";
                break;
            }
            if ($space>0) {
                $display .= ", ";
            }
    
            $display .= '<a href="' .$_CONF[site_url] .'/filemgmt/viewcat.php?cid=' .$ele['cid'] .'">' .$chtitle .'</a>';
               $space++;
            $chcount++;
        }
           if ($count<1) {
               $display .= "</td>";
        }
        $count++;
        if ($count==4) {
               $display .= "</td></tr><tr>";
               $count = 0;
        }
    }
    $display .= "</tr></table><p></p>";
}

$offset = ($page - 1) * $show;

$result = DB_query("SELECT d.lid, cid, title, url, homepage, version, size, platform, submitter, logourl, status, date, hits, rating, votes, comments, description FROM {$_FM_TABLES['filemgmt_filedetail']} d, {$_FM_TABLES['filemgmt_filedesc']} t WHERE status>0 AND d.lid=t.lid ORDER BY date DESC LIMIT $offset, $show");
$numrows = DB_numROWS($result); 
$countsql = DB_query("SELECT COUNT(*) FROM ".$_FM_TABLES['filemgmt_filedetail']." WHERE status > 0");

$display .= "<hr>";
$display .= '<div align="left">'._MD_LATESTLISTING.'<p />';

if ($numrows > 0 ) {
    $display .= "<table width='100%' cellspacing='0' cellpadding='0' border='0'><tr><td width='100%' align='center'>";
    for ($x =1; $x <=$numrows; $x++) {
        list($lid, $cid, $dtitle, $url, $homepage, $version, $size, $platform, $submitter, $logourl, $status, $time, $hits, $rating, $votes, $comments, $description)=DB_fetchArray($result);
        $rating = number_format($rating, 2);
        $dtitle = $myts->makeTboxData4Show($dtitle);
        $url = $myts->makeTboxData4Show($url);
        $homepage = $myts->makeTboxData4Show($homepage);
        $version = $myts->makeTboxData4Show($version);
        $size = $myts->makeTboxData4Show($size);
        $platform = $myts->makeTboxData4Show($platform);
        $logourl = $myts->makeTboxData4Show($logourl);
        $datetime = formatTimestamp($time,"s");
        //COM_errorLOG("lid# " .$lid . " title: ".$dtitle ." Rating: ".$rating);
        $description = $myts->makeTareaData4Show($description,0); //no html
        $result2 = DB_query("SELECT username,photo  FROM {$_TABLES['users']} WHERE uid = $submitter");
        list ($submitter_name,$photo) = DB_fetchARRAY($result2);
        include($_CONF[path_html] ."/filemgmt/include/dlformat.php");
    }
    $display .= "</table>";
    // Print Google-like paging navigation
    $base_url = $_CONF['site_url'] . '/filemgmt/index.php';
    $display .= COM_printPageNavigation($base_url,$page, $numpages);
}

$display .= "</div>";
$display .= COM_endBlock();
$display .= COM_siteFooter();
echo $display;

?>